#!/bin/bash

# Este script sirve para actualizar todo el sistema al completo y los resultados serán enviados a un log
# Puede ser útil para añadirlo al crontab para actualizaciones automáticas y discretas

LOGFILE="/var/log/act_sem.log"

echo "=== Inicio de actualización: $(date) ===" >> $LOGFILE

# Actualizar lista de paquetes
apt update >> $LOGFILE 2>&1

# Actualizar paquetes del sistema
apt upgrade -y >> $LOGFILE 2>&1

# Actualización completa del sistema (manejo de dependencias y cambios importantes)
apt dist-upgrade -y >> $LOGFILE 2>&1

# Limpiar paquetes innecesarios
apt autoremove -y >> $LOGFILE 2>&1
apt autoclean -y >> $LOGFILE 2>&1

echo "=== Fin de actualización: $(date) ===" >> $LOGFILE
